import { Injectable } from '@nestjs/common';
import { EmailService, SmsService } from '../settings';

@Injectable()
export class NotificationService {
  constructor(
    private readonly emailService: EmailService,
    private readonly smsService: SmsService,
  ) {}

  async sendEmail(to: string, subject: string, content: string) {
    return this.emailService.send(to, subject, content);
  }

  async sendSms(
    to: string,
    templateId: string,
    params: Record<string, any> = {},
  ) {
    return this.smsService.send(to, templateId, params);
  }
}
